Package com.independentsoft.office.odf.styles

# Class CommonStyles

java.lang.Object
com.independentsoft.office.odf.styles.CommonStyles

public class CommonStyles extends Object
Represents common styles used in a document. A common style is a style chosen by a user for a document or some portion thereof.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonStyles()`
  Initializes a new instance of the CommonStyles class.
  `CommonStyles​(byte[] buffer, Document mainDocument)`
  Instantiates a new common styles.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommonStyles`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `AutomaticStyles`
  `getAutomaticStyles()`
  Gets the automatic style.
  `BibliographyConfiguration`
  `getBibliographyConfiguration()`
  Specifies how bibliography entries are displayed in-line, and how they are displayed in a bibliography index.
  `DefaultCellStyle`
  `getDefaultCellStyle()`
  Gets the default styles of the cell.
  `DefaultChartStyle`
  `getDefaultChartStyle()`
  Gets the default styles of the char.
  `DefaultColumnStyle`
  `getDefaultColumnStyle()`
  Gets the default styles of the column.
  `DefaultDrawingPageStyle`
  `getDefaultDrawingPageStyle()`
  Gets the default styles of the drawing page.
  `DefaultGraphicStyle`
  `getDefaultGraphicStyle()`
  Gets the default styles of the graphic.
  `DefaultParagraphStyle`
  `getDefaultParagraphStyle()`
  Gets the default styles of the paragraph.
  `DefaultRowStyle`
  `getDefaultRowStyle()`
  Gets the default styles of the row.
  `DefaultRubyStyle`
  `getDefaultRubyStyle()`
  Gets the default styles of the ruby.
  `DefaultSectionStyle`
  `getDefaultSectionStyle()`
  Gets the default styles of the selection.
  `DefaultTableStyle`
  `getDefaultTableStyle()`
  Gets the default styles of the table.
  `DefaultTextStyle`
  `getDefaultTextStyle()`
  Gets the default styles of the text.
  `List<FillImage>`
  `getFillImages()`
  Contains a collection of FillImage objects.
  `List<Font>`
  `getFonts()`
  Contains all the font face declarations for a document.
  `List<Gradient>`
  `getGradients()`
  Contains a collection of Gradient objects.
  `List<Hatch>`
  `getHatchs()`
  Contains a collection of Hatch objects.
  `List<LinearGradient>`
  `getLinearGradients()`
  Contains a collection of LinearGradient objects.
  `LineNumberingConfiguration`
  `getLineNumberingConfiguration()`
  Gets the line numbering.
  `List<Marker>`
  `getMarkers()`
  Contains a collection of Marker objects.
  `MasterStyles`
  `getMasterStyles()`
  Gets the master style.
  `List<NotesConfiguration>`
  `getNotesConfigurations()`
  Contains a collection of NotesConfiguration objects.
  `List<OpacityGradient>`
  `getOpacityGradients()`
  Contains a collection of OpacityGradient objects.
  `List<OutlineLevelStyle>`
  `getOutlineLevelStyles()`
  Contains a collection of OutlineLevelStyle objects.
  `List<RadialGradient>`
  `getRadialGradients()`
  Contains a collection of RadialGradient objects.
  `List<StrokeDash>`
  `getStrokeDashs()`
  Contains a collection of StrokeDash objects.
  `List<Style>`
  `getStyles()`
  Contains a collection of Style objects.
  `void`
  `renameStyle​(Style style, String newName)`
  Rename style.
  `void`
  `setAutomaticStyles​(AutomaticStyles automaticStyles)`
  Sets the automatic style.
  `void`
  `setBibliographyConfiguration​(BibliographyConfiguration bibliographyConfiguration)`
  Specifies how bibliography entries are displayed in-line, and how they are displayed in a bibliography index.
  `void`
  `setDefaultCellStyle​(DefaultCellStyle defaultCellStyle)`
  Sets the default styles of the cell.
  `void`
  `setDefaultChartStyle​(DefaultChartStyle defaultChartStyle)`
  Sets the default styles of the char.
  `void`
  `setDefaultColumnStyle​(DefaultColumnStyle defaultColumnStyle)`
  Sets the default styles of the column.
  `void`
  `setDefaultDrawingPageStyle​(DefaultDrawingPageStyle defaultDrawingPageStyle)`
  Sets the default styles of the drawing page.
  `void`
  `setDefaultGraphicStyle​(DefaultGraphicStyle defaultGraphicStyle)`
  Sets the default styles of the graphic.
  `void`
  `setDefaultParagraphStyle​(DefaultParagraphStyle defaultParagraphStyle)`
  Sets the default styles of the paragraph.
  `void`
  `setDefaultRowStyle​(DefaultRowStyle defaultRowStyle)`
  Sets the default styles of the row.
  `void`
  `setDefaultRubyStyle​(DefaultRubyStyle defaultRubyStyle)`
  Sets the default styles of the ruby.
  `void`
  `setDefaultSectionStyle​(DefaultSectionStyle defaultSectionStyle)`
  Sets the default styles of the selection.
  `void`
  `setDefaultTableStyle​(DefaultTableStyle defaultTableStyle)`
  Sets the default styles of the table.
  `void`
  `setDefaultTextStyle​(DefaultTextStyle defaultTextStyle)`
  Sets the default styles of the text.
  `void`
  `setLineNumberingConfiguration​(LineNumberingConfiguration lineNumberingConfiguration)`
  Sets the line numbering.
  `void`
  `setMasterStyles​(MasterStyles masterStyles)`
  Sets the master style.
  `String`
  `toString()`
  Converts the value of the current CommonStyles object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CommonStyles

    public CommonStyles()
    Initializes a new instance of the CommonStyles class.

  - ### CommonStyles

    public CommonStyles​(byte[] buffer, Document mainDocument) throws XMLStreamException
    Instantiates a new common styles.
    Parameters:
      `buffer` - the buffer
      `mainDocument` - the main document
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### renameStyle

    public void renameStyle​(Style style, String newName)
    Rename style.
    Parameters:
      `style` - the style
      `newName` - the new name

  - ### clone

    public CommonStyles clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current CommonStyles object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getFonts

    public List<Font> getFonts()
    Contains all the font face declarations for a document.
    Returns:
      the fonts

  - ### getStyles

    public List<Style> getStyles()
    Contains a collection of Style objects.
    Returns:
      the styles

  - ### getOutlineLevelStyles

    public List<OutlineLevelStyle> getOutlineLevelStyles()
    Contains a collection of OutlineLevelStyle objects.
    Returns:
      the outline level styles

  - ### getAutomaticStyles

    public AutomaticStyles getAutomaticStyles()
    Gets the automatic style.
    Returns:
      the automatic styles

  - ### setAutomaticStyles

    public void setAutomaticStyles​(AutomaticStyles automaticStyles)
    Sets the automatic style.
    Parameters:
      `automaticStyles` - the new automatic styles

  - ### getMasterStyles

    public MasterStyles getMasterStyles()
    Gets the master style.
    Returns:
      the master styles

  - ### setMasterStyles

    public void setMasterStyles​(MasterStyles masterStyles)
    Sets the master style.
    Parameters:
      `masterStyles` - the new master styles

  - ### getFillImages

    public List<FillImage> getFillImages()
    Contains a collection of FillImage objects.
    Returns:
      the fill images

  - ### getHatchs

    public List<Hatch> getHatchs()
    Contains a collection of Hatch objects.
    Returns:
      the hatchs

  - ### getMarkers

    public List<Marker> getMarkers()
    Contains a collection of Marker objects.
    Returns:
      the markers

  - ### getStrokeDashs

    public List<StrokeDash> getStrokeDashs()
    Contains a collection of StrokeDash objects.
    Returns:
      the stroke dashs

  - ### getGradients

    public List<Gradient> getGradients()
    Contains a collection of Gradient objects.
    Returns:
      the gradients

  - ### getOpacityGradients

    public List<OpacityGradient> getOpacityGradients()
    Contains a collection of OpacityGradient objects.
    Returns:
      the opacity gradients

  - ### getLinearGradients

    public List<LinearGradient> getLinearGradients()
    Contains a collection of LinearGradient objects.
    Returns:
      the linear gradients

  - ### getRadialGradients

    public List<RadialGradient> getRadialGradients()
    Contains a collection of RadialGradient objects.
    Returns:
      the radial gradients

  - ### getNotesConfigurations

    public List<NotesConfiguration> getNotesConfigurations()
    Contains a collection of NotesConfiguration objects.
    Returns:
      the notes configurations

  - ### getLineNumberingConfiguration

    public LineNumberingConfiguration getLineNumberingConfiguration()
    Gets the line numbering.
    Returns:
      the line numbering configuration

  - ### setLineNumberingConfiguration

    public void setLineNumberingConfiguration​(LineNumberingConfiguration lineNumberingConfiguration)
    Sets the line numbering.
    Parameters:
      `lineNumberingConfiguration` - the new line numbering configuration

  - ### getBibliographyConfiguration

    public BibliographyConfiguration getBibliographyConfiguration()
    Specifies how bibliography entries are displayed in-line, and how they are displayed in a bibliography index.
    Returns:
      the bibliography configuration

  - ### setBibliographyConfiguration

    public void setBibliographyConfiguration​(BibliographyConfiguration bibliographyConfiguration)
    Specifies how bibliography entries are displayed in-line, and how they are displayed in a bibliography index.
    Parameters:
      `bibliographyConfiguration` - the new bibliography configuration

  - ### getDefaultCellStyle

    public DefaultCellStyle getDefaultCellStyle()
    Gets the default styles of the cell.
    Returns:
      the default cell style

  - ### setDefaultCellStyle

    public void setDefaultCellStyle​(DefaultCellStyle defaultCellStyle)
    Sets the default styles of the cell.
    Parameters:
      `defaultCellStyle` - the new default cell style

  - ### getDefaultChartStyle

    public DefaultChartStyle getDefaultChartStyle()
    Gets the default styles of the char.
    Returns:
      the default chart style

  - ### setDefaultChartStyle

    public void setDefaultChartStyle​(DefaultChartStyle defaultChartStyle)
    Sets the default styles of the char.
    Parameters:
      `defaultChartStyle` - the new default chart style

  - ### getDefaultColumnStyle

    public DefaultColumnStyle getDefaultColumnStyle()
    Gets the default styles of the column.
    Returns:
      the default column style

  - ### setDefaultColumnStyle

    public void setDefaultColumnStyle​(DefaultColumnStyle defaultColumnStyle)
    Sets the default styles of the column.
    Parameters:
      `defaultColumnStyle` - the new default column style

  - ### getDefaultDrawingPageStyle

    public DefaultDrawingPageStyle getDefaultDrawingPageStyle()
    Gets the default styles of the drawing page.
    Returns:
      the default drawing page style

  - ### setDefaultDrawingPageStyle

    public void setDefaultDrawingPageStyle​(DefaultDrawingPageStyle defaultDrawingPageStyle)
    Sets the default styles of the drawing page.
    Parameters:
      `defaultDrawingPageStyle` - the new default drawing page style

  - ### getDefaultGraphicStyle

    public DefaultGraphicStyle getDefaultGraphicStyle()
    Gets the default styles of the graphic.
    Returns:
      the default graphic style

  - ### setDefaultGraphicStyle

    public void setDefaultGraphicStyle​(DefaultGraphicStyle defaultGraphicStyle)
    Sets the default styles of the graphic.
    Parameters:
      `defaultGraphicStyle` - the new default graphic style

  - ### getDefaultParagraphStyle

    public DefaultParagraphStyle getDefaultParagraphStyle()
    Gets the default styles of the paragraph.
    Returns:
      the default paragraph style

  - ### setDefaultParagraphStyle

    public void setDefaultParagraphStyle​(DefaultParagraphStyle defaultParagraphStyle)
    Sets the default styles of the paragraph.
    Parameters:
      `defaultParagraphStyle` - the new default paragraph style

  - ### getDefaultRowStyle

    public DefaultRowStyle getDefaultRowStyle()
    Gets the default styles of the row.
    Returns:
      the default row style

  - ### setDefaultRowStyle

    public void setDefaultRowStyle​(DefaultRowStyle defaultRowStyle)
    Sets the default styles of the row.
    Parameters:
      `defaultRowStyle` - the new default row style

  - ### getDefaultRubyStyle

    public DefaultRubyStyle getDefaultRubyStyle()
    Gets the default styles of the ruby.
    Returns:
      the default ruby style

  - ### setDefaultRubyStyle

    public void setDefaultRubyStyle​(DefaultRubyStyle defaultRubyStyle)
    Sets the default styles of the ruby.
    Parameters:
      `defaultRubyStyle` - the new default ruby style

  - ### getDefaultSectionStyle

    public DefaultSectionStyle getDefaultSectionStyle()
    Gets the default styles of the selection.
    Returns:
      the default section style

  - ### setDefaultSectionStyle

    public void setDefaultSectionStyle​(DefaultSectionStyle defaultSectionStyle)
    Sets the default styles of the selection.
    Parameters:
      `defaultSectionStyle` - the new default section style

  - ### getDefaultTableStyle

    public DefaultTableStyle getDefaultTableStyle()
    Gets the default styles of the table.
    Returns:
      the default table style

  - ### setDefaultTableStyle

    public void setDefaultTableStyle​(DefaultTableStyle defaultTableStyle)
    Sets the default styles of the table.
    Parameters:
      `defaultTableStyle` - the new default table style

  - ### getDefaultTextStyle

    public DefaultTextStyle getDefaultTextStyle()
    Gets the default styles of the text.
    Returns:
      the default text style

  - ### setDefaultTextStyle

    public void setDefaultTextStyle​(DefaultTextStyle defaultTextStyle)
    Sets the default styles of the text.
    Parameters:
      `defaultTextStyle` - the new default text style